\name{clear-methods}
\docType{methods}
\alias{clear-methods}
\alias{clear,hash-method} 
\title{ Reset an object to its initial state }
\description{

  \code{clear} eliminates all data from an object, resetting it to its
  initial state.  This can be by accomplished by either deallocating 
  memory or by reinitializing the object with the original configuration.

}

\section{Methods}{
    \describe{
        \item{x = "hash"}{ 
        Removes all key-value pair(s) from a hash. 
        
        ( note: this should be called prior to removing the object to 
          ensure that the memory is released from the hash. )
        
        }
    }
}

\value{
  None. Method clear exists entirely for its side effects.
}


\author{ Christopher Brown }

\seealso{ 
    \code{\link{del}} and \code{\link{rm}} to remove specific key-values
    from the hash
}


\keyword{ methods }
\keyword{ data }
\keyword{ manip }
