\name{del-methods}
\docType{methods}
\alias{del-methods}
\alias{del,ANY,hash-method}

\title{ Remove key-value pair(s) from a hash }

\description{
    Removes key(s) and the associated value(s) (from a hash).  
}

\section{Methods}{
    \describe{
        \item{x = "ANY", hash = "hash"}{ 
            Removes the key(s), \code{x}, from the hash.  \code{x} will be 
            coerced to a valid hash keys using \code{\link{validate.key}}.     
        }
    }
}

\note{
None. This method exists solely for the side-effects of removing items from the hash.
}

\author{ Christopher Brown }
\seealso{ See Also as \code{\link{hash}}, \code{\link{validate.key}}. }
\examples{

    h <- hash( letters, 1:26 )
    h # 26 elements
    del( "a", h )
    h # 25 elements

}

\keyword{ methods }
\keyword{ data }
\keyword{ manip }
